cdac.medinfo.sdk.hl7282.baselibs

## Class WVI

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.WVI

- All Implemented Interfaces:
    IDataType

      public class WVI
      extends CompositeDataType

  WVI - Channel identifier

  This specifies the number and name of the recording channel where waveform data is transmitted.

  Represents an HL7 WVI data type. This data type has the following attributes:

  1. Channel Number (NM)Required
  2. Channel Name (ST)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WVI()` Default Constructor for WVI
    `WVI(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for WVI class which takes two arguments and sets the value in the respective member variable.
    `WVI(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for WVI class which takes five arguments and sets the value in the respective member variable.
    `WVI(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for WVI class which takes six arguments and sets the value in the respective member variable.
    `WVI(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for WVI class which takes four arguments and sets the value in the respective member variable.
    `WVI(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for WVI class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ST` | `getChannelName()` Returns Channel Name
    `NM` | `getChannelNumber()` Returns Channel Number
    `void` | `setChannelName(ST objST)` Sets the ChannelName.
    `void` | `setChannelName(java.lang.String strChannelName)` Sets the ChannelName.
    `void` | `setChannelNumber(NM objNM)` Sets the ChannelNumber.
    `void` | `setChannelNumber(java.lang.String strChannelNumber)` Sets the ChannelNumber.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WVI

          public WVI()

      Default Constructor for WVI

    - #### WVI

          public WVI(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for WVI class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVI

          public WVI(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for WVI class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVI

          public WVI(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for WVI class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVI

          public WVI(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for WVI class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### WVI

          public WVI(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for WVI class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setChannelNumber

          public void setChannelNumber(java.lang.String strChannelNumber)

      Sets the ChannelNumber.
      Parameters:
        `strChannelNumber` - specifies the number of the recording channel.

    - #### setChannelNumber

          public void setChannelNumber(NM objNM)

      Sets the ChannelNumber.
      Parameters:
        `objNM` - specifies the number of the recording channel.

    - #### setChannelName

          public void setChannelName(java.lang.String strChannelName)

      Sets the ChannelName.
      Parameters:
        `strChannelName` - specifies the name of the recording channels.

    - #### setChannelName

          public void setChannelName(ST objST)

      Sets the ChannelName.
      Parameters:
        `objST` - specifies the name of the recording channels.

    - #### getChannelNumber

          public NM getChannelNumber()

      Returns Channel Number
      Returns:
        NM - data type.

    - #### getChannelName

          public ST getChannelName()

      Returns Channel Name
      Returns:
        ST - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.